Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# File::Spec::Functions

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# File::Spec::Functions

- NAME
- SYNOPSIS
- DESCRIPTION
  - Exports
- COPYRIGHT
- SEE ALSO

# NAME

File::Spec::Functions - portably perform operations on file names

# SYNOPSIS

    	use File::Spec::Functions;	$x = catfile('a','b');

# DESCRIPTION

This module exports convenience functions for all of the class methods provided by File::Spec.

For a reference of available functions, please consult File::Spec::Unix, which contains the entire set, and which is inherited by the modules for other platforms. For further information, please see File::Spec::Mac, File::Spec::OS2, File::Spec::Win32, or File::Spec::VMS.

## Exports

The following functions are exported by default.

    	canonpath	catdir	catfile	curdir	rootdir	updir	no_upwards	file_name_is_absolute	path

The following functions are exported only by request.

    	devnull	tmpdir	splitpath	splitdir	catpath	abs2rel	rel2abs	case_tolerant

All the functions may be imported using the `:ALL` tag.

# COPYRIGHT

Copyright (c) 2004 by the Perl 5 Porters. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

# SEE ALSO

File::Spec, File::Spec::Unix, File::Spec::Mac, File::Spec::OS2, File::Spec::Win32, File::Spec::VMS, ExtUtils::MakeMaker

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
  - Exports
- COPYRIGHT
- SEE ALSO